### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface TextStoreInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

All Known Subinterfaces:
  `ConfigurationXMLTextStoreInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface TextStoreInterface extends MetadataInterface
A simple interface representing TextStore objects from the metadata store.

Since:
  1.1

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsBytes()`
  Returns true if the TextStore contents were set with the setBytes() method.
  `byte[]`
  `getBytes()`
  Get byte array from the text store.
  `String`
  `getText()`
  Get the text from the text store.
  `String`
  `getTextRole()`
  Get the text role.
  `String`
  `getTextType()`
  Get the text type.
  `void`
  `setBytes(byte[] bytes)`
  Set the text contained in this TextStore object.
  `void`
  `setText(String text)`
  Set the text contained in this TextStore object.
  `void`
  `setTextRole(String role)`
  Set the text role string for this object.
  `void`
  `setTextType(String type)`
  Set the text type for this object.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getText

    String getText() throws ServiceException, RemoteException
    Get the text from the text store.
    Returns:
      A String containing the text.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setText

    void setText(String text) throws ServiceException, RemoteException
    Set the text contained in this TextStore object.
    Parameters:
      `text` - The new text for this object.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getTextRole

    String getTextRole() throws ServiceException, RemoteException
    Get the text role. This provides information on what the text is to be used for.
    Returns:
      A String containing the TextRole.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setTextRole

    void setTextRole(String role) throws ServiceException, RemoteException
    Set the text role string for this object.
    Parameters:
      `role` - The new text role.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getTextType

    String getTextType() throws ServiceException, RemoteException
    Get the text type.
    Returns:
      A String containing the TextType.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setTextType

    void setTextType(String type) throws ServiceException, RemoteException
    Set the text type for this object.
    Parameters:
      `type` - The new type string.
    Throws:
      `ServiceException` - if a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getBytes

    byte[] getBytes() throws ServiceException, RemoteException
    Get byte array from the text store. Byte array contains value set by setBytes(bytes[]). If text value was not set by setBytes(bytes[]), UTF-8 byte equivalent of the text value is returned.
    Returns:
      A byte array.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### containsBytes

    boolean containsBytes() throws ServiceException, RemoteException
    Returns true if the TextStore contents were set with the setBytes() method.
    Returns:
      true if the TextStore contents were set with the setBytes() method
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setBytes

    void setBytes(byte[] bytes) throws ServiceException, RemoteException
    Set the text contained in this TextStore object.
    Parameters:
      `text` - The new text for this object.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.